Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.control.action
Class ApplyAction

    java.lang.Object
      org.apache.torque.generator.control.action.ApplyAction

All Implemented Interfaces:
  MergepointAction

    public class ApplyAction

extends Object
implements MergepointAction

Applies an outlet to the matching element. The output of the outlet is appended to the output.

Constructor Summary
`ApplyAction(String path, String outletName, Boolean acceptNotSet)` Constructor.

Method Summary
`boolean` | `equals(Object obj)`
`OutletResult` | `execute(ControllerState controllerState)` Applies an outlet to the matching element.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplyAction

    public ApplyAction(String path,
                       String outletName,
                       Boolean acceptNotSet)

  Constructor.

  Parameters:
    `path` - The path to the source element to be processed. `null` means ".".
    `outletName` - the name of the outlet to apply.
    `acceptNotSet` - true if no error should be thrown if no element matches the given path, true if an error should be thrown in such a case. null means true.

Method Detail

### execute

    public OutletResult execute(ControllerState controllerState)
                         throws GeneratorException

  Applies an outlet to the matching element. The output of the outlet is appended to the output. ${...} Tokens are replaced within outletName and path.

  Specified by:
    `execute` in interface `MergepointAction`
  Parameters:
    `controllerState` - The current state of the controller.
  Returns:
    The value to insert into the mergepoint, not null.
  Throws:
    `GeneratorException` - if an error occurs during generation.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.